Name:            pianobooster
Summary:         A MIDI file player that teaches you how to play the piano
Version:         0.6.2
Release:         2%{?dist}
License:         GPLv3+
Group:           Applications/Multimedia
URL:             http://pianobooster.sourceforge.net/
Source0:         http://downloads.sourceforge.net/pianobooster/%{name}-src-%{version}.tgz
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:   cmake
BuildRequires:   qt4-devel
BuildRequires:   dos2unix
BuildRequires:   desktop-file-utils
BuildRequires:   alsa-lib-devel

%description
A MIDI file player/game that displays the musical notes AND teaches you how
to play the piano. 

PianoBooster is a fun way of playing along with a musical accompaniment and
at the same time learning the basics of reading musical notation.
The difference between playing along to a CD or a standard MIDI file,
is that PianoBooster listens and reacts to what you are playing on a
MIDI keyboard.


%prep
%setup -q -n %{name}-src-%{version}
dos2unix README.txt
dos2unix license.txt

%build
pushd build
%cmake ../src
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
install -d $RPM_BUILD_ROOT/%{_bindir}
install pianobooster $RPM_BUILD_ROOT/%{_bindir}
popd

cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Piano Booster
Comment=A MIDI file player that teaches you how to play the piano
Exec=pianobooster
Icon=pianobooster
Terminal=false
Type=Application
Categories=Music;Education;
EOF

install -d $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications  \
    %{name}.desktop


install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install src/images/Logo32x32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/pianobooster.png
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install src/images/logo64x64.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/pianobooster.png

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc license.txt gplv3.txt README.txt
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Tue Apr 07 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.2-2
Initial spec file.
